<?php
/*
Plugin Name: WP Slick Slider
Plugin URI: http://www.tigerstrikemedia.com/
Description: Utilising the power of custom post types and Custom meta boxes, adds a powerful and customisable slider to your wordpress site.
Version: 0.9
Author: Tiger Strike Media
Author URI: http://www.tigerstrikemedia.com/
License: GPLv2 or later
*/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 */

/*
 * Define Base Paths to the plugin file
 */
define( 'WPSS_HTTP_PATH' , WP_PLUGIN_URL . '/' . str_replace(basename( __FILE__) , "" , plugin_basename(__FILE__) ) );
define( 'WPSS_ABSPATH' , WP_PLUGIN_DIR . '/' . str_replace(basename( __FILE__) , "" , plugin_basename(__FILE__) ) );

/*
 * Load The I18n Files
 */
load_plugin_textdomain( 'wp_slick_slider', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );

/*
 * Install Function
 */
function wpss_install_init(){
    
    if( get_option( 'wpss_options' ) )
        return;
    
    $default_options = array(
       'wpss_use_css'         => 'on',
       'wpss_use_js'          => 'on'
    );
    update_option( 'wpss_options' ,  $default_options );
    
}
register_activation_hook(__FILE__, 'wpss_install_init' );

/*
 * Uninstall Function
 */
function wpss_uninstall_init(){
    delete_option( 'wpss_options' );

    $terms = get_terms( 'wpss_sliders' );
    foreach( $terms as $term ){
        delete_option( 'wpss_' . $term->slug . '_options' );
    }

}
register_deactivation_hook(__FILE__ , 'wpss_uninstall_init' );

//Make This a global variable to save calling it a heap of times
$wpss_options = get_option( 'wpss_options' );

/*
 * Enqueue The Javascript
 */
if( isset( $wpss_options['wpss_use_js'] ) && ! is_admin() ){
    wp_enqueue_script( 'jquery' );
    wp_enqueue_script( 'jquery-ui-core' );
    wp_enqueue_script( 'jquery-ui-effects' , WPSS_HTTP_PATH . 'js/jquery-ui-effects.js', array( 'jquery' , 'jquery-ui-core' ) , false, true );
    wp_enqueue_script( 'jquery-cycle' , WPSS_HTTP_PATH . 'js/jquery-cycle.min.js', array( 'jquery' ) , false, true );
}

/*
 * Share Tha Luv?
 */
if( isset( $wpss_options['wpss_footer_credits'] ) ){
    function wpss_footer_credits(){
        echo '<p id="wpss_credit_link" style="text-align:center" class="small aligncenter">Slick Slider <a target="_blank" href="http://www.tigerstrikemedia.com">Plugin By Tiger Strike Media</a></p>';
    }
    add_action( 'wp_footer' , 'wpss_footer_credits' );
}

/*
 * Create Image Sizes.
 */
if( ! current_theme_supports( 'post-thumbnails' ) ){
    add_theme_support( 'post-thumbnails' );
}

/*
 * Include The Necessary Files
 */
include 'includes/wpss-functions.php';
include 'includes/post-types.php';
include 'includes/wpss-options-class.php';
include 'includes/output.php';

/*
 * Hooks And Filters
 */
add_action('admin_init', array('WPSS_OPTIONS', 'Init') );
add_action('admin_menu', array('WPSS_OPTIONS', 'Add_Admin_Menus') );
?>